import request from '@/utils/request'

// 查询套餐包分类列表
export function listPackageCate(query) {
  return request({
    url: '/his/packageCate/list',
    method: 'get',
    params: query
  })
}

// 查询套餐包分类详细
export function getPackageCate(cateId) {
  return request({
    url: '/his/packageCate/' + cateId,
    method: 'get'
  })
}
export function getAllCateList(query) {
  return request({
    url: '/his/packageCate/allList',
    method: 'get',
    params: query
  })
}
// 新增套餐包分类
export function addPackageCate(data) {
  return request({
    url: '/his/packageCate',
    method: 'post',
    data: data
  })
}

// 修改套餐包分类
export function updatePackageCate(data) {
  return request({
    url: '/his/packageCate',
    method: 'put',
    data: data
  })
}

// 删除套餐包分类
export function delPackageCate(cateId) {
  return request({
    url: '/his/packageCate/' + cateId,
    method: 'delete'
  })
}

// 导出套餐包分类
export function exportPackageCate(query) {
  return request({
    url: '/his/packageCate/export',
    method: 'get',
    params: query
  })
}